Gio::Error Class Reference

Exception class for giomm errors. More...

`#include <giomm/error.h>`

Inheritance diagram for Gio::Error:
[legend]

## Public Types

enum

Code {
FAILED,
NOT_FOUND,
EXISTS,
IS_DIRECTORY,
NOT_DIRECTORY,
NOT_EMPTY,
NOT_REGULAR_FILE,
NOT_SYMBOLIC_LINK,
NOT_MOUNTABLE_FILE,
FILENAME_TOO_LONG,
INVALID_FILENAME,
TOO_MANY_LINKS,
NO_SPACE,
INVALID_ARGUMENT,
PERMISSION_DENIED,
NOT_SUPPORTED,
NOT_MOUNTED,
ALREADY_MOUNTED,
CLOSED,
CANCELLED,
PENDING,
READ_ONLY,
CANT_CREATE_BACKUP,
WRONG_ETAG,
TIMED_OUT,
WOULD_RECURSE,
BUSY,
WOULD_BLOCK,
HOST_NOT_FOUND,
HOST_WAS_NOT_FOUND = HOST_NOT_FOUND,
WOULD_MERGE,
FAILED_HANDLED,
TOO_MANY_OPEN_FILES,
NOT_INITIALIZED,
ADDRESS_IN_USE,
PARTIAL_INPUT,
INVALID_DATA,
DBUS_ERROR,
HOST_UNREACHABLE,
NETWORK_UNREACHABLE,
CONNECTION_REFUSED,
PROXY_FAILED,
PROXY_AUTH_FAILED,
PROXY_NEED_AUTH,
PROXY_NOT_ALLOWED,
BROKEN_PIPE
}

## Public Member Functions

| Error (Code error_code, const Glib::ustring& error_message)
| Error (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark domain, int code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
virtual | ~Error () throw ()
GQuark | domain () const
int | code () const
virtual Glib::ustring | what () const
bool | matches (GQuark domain, int code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception ()=0 throw ()

## Additional Inherited Members

Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for giomm errors.

## Member Enumeration Documentation

enum Gio::Error::Code

Enumerator
FAILED |
NOT_FOUND |
EXISTS |
IS_DIRECTORY |
NOT_DIRECTORY |
NOT_EMPTY |
NOT_REGULAR_FILE |
NOT_SYMBOLIC_LINK |
NOT_MOUNTABLE_FILE |
FILENAME_TOO_LONG |
INVALID_FILENAME |
TOO_MANY_LINKS |
NO_SPACE |
INVALID_ARGUMENT |
PERMISSION_DENIED |
NOT_SUPPORTED |
NOT_MOUNTED |
ALREADY_MOUNTED |
CLOSED |
CANCELLED |
PENDING |
READ_ONLY |
CANT_CREATE_BACKUP |
WRONG_ETAG |
TIMED_OUT |
WOULD_RECURSE |
BUSY |
WOULD_BLOCK |
HOST_NOT_FOUND |
HOST_WAS_NOT_FOUND |
WOULD_MERGE |
FAILED_HANDLED |
TOO_MANY_OPEN_FILES |
NOT_INITIALIZED |
ADDRESS_IN_USE |
PARTIAL_INPUT |
INVALID_DATA |
DBUS_ERROR |
HOST_UNREACHABLE |
NETWORK_UNREACHABLE |
CONNECTION_REFUSED |
PROXY_FAILED |
PROXY_AUTH_FAILED |
PROXY_NEED_AUTH |
PROXY_NOT_ALLOWED |
BROKEN_PIPE |

## Constructor & Destructor Documentation

Gio::Error::Error | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Gio::Error::Error | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

Code Gio::Error::code | ( |  | ) | const